org.apache.datasketches.kll

## Class KllItemsSketchIterator<T>

- java.lang.Object
- - org.apache.datasketches.kll.KllSketchIterator
  - - org.apache.datasketches.kll.KllItemsSketchIterator<T>

Type Parameters:
  `T` - the item class type

All Implemented Interfaces:
  QuantilesGenericSketchIterator<T>, QuantilesSketchIterator

    public final class KllItemsSketchIterator<T>
    extends KllSketchIterator
    implements QuantilesGenericSketchIterator<T>

Iterator over KllItemsSketch. The order is not defined.

### Field Summary

### Fields inherited from class org.apache.datasketches.kll.KllSketchIterator

`index, isInitialized_, level, levelsArr, numLevels, weight`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getQuantile()` Gets the generic quantile at the current index.

### Methods inherited from class org.apache.datasketches.kll.KllSketchIterator

`getWeight, next`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.datasketches.quantilescommon.QuantilesSketchIterator

`getWeight, next`

### Method Detail

#### getQuantile

    public T getQuantile()

Description copied from interface: `QuantilesGenericSketchIterator`
Gets the generic quantile at the current index.

Don't call this before calling next() for the first time or after getting false from next().

Specified by:
  `getQuantile` in interface `QuantilesGenericSketchIterator<T>`
Returns:
  the generic quantile at the current index.